> ## Documentation Index
> Fetch the complete documentation index at: https://developers-docs.r25.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# カテゴリー一覧取得

> カテゴリーを一覧取得



## OpenAPI

````yaml GET /static/projects/{projectId}/spaces/{spaceId}/collection/categories
openapi: 3.0.0
info:
  title: CDN API
  version: 1.0.0
  description: CDN 経由でデータを取得します。公開済みのコンテンツの配信に使用します。
servers:
  - url: https://cdn.r25.io
    description: CDN APIサーバー
security: []
tags:
  - name: news
    description: ニュースコンテンツに関するAPI
paths:
  /static/projects/{projectId}/spaces/{spaceId}/collection/categories:
    get:
      description: カテゴリーを一覧取得
      parameters:
        - $ref: '#/components/parameters/ProjectIdPathParam'
        - $ref: '#/components/parameters/SpaceIdPathParam'
        - $ref: '#/components/parameters/PagerPageQuery'
        - $ref: '#/components/parameters/PagerSizeQuery'
        - $ref: '#/components/parameters/PagerOrderQuery'
        - $ref: '#/components/parameters/CategoryIdsQuery'
        - $ref: '#/components/parameters/XR25AcApiKeyHeader'
        - $ref: '#/components/parameters/XR25AcApiSecretHeader'
      responses:
        '200':
          description: カテゴリー一覧
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CategoryListResponse'
        '401':
          description: 認証エラー
        '403':
          description: アクセス権限エラー
        '404':
          description: リソースが見つかりません
        '500':
          description: サーバーエラー
components:
  parameters:
    ProjectIdPathParam:
      description: ご自身のプロジェクトIDを指定してください。
      name: projectId
      in: path
      required: true
      schema:
        type: string
    SpaceIdPathParam:
      description: ご自身のスペースIDを指定してください。
      name: spaceId
      in: path
      required: true
      schema:
        type: string
    PagerPageQuery:
      in: query
      name: page
      description: sizeで指定した数で何ページ目のリソースを取得するか指定できます。
      schema:
        type: integer
        minimum: 1
        default: 1
    PagerSizeQuery:
      in: query
      name: size
      description: 最大何個のリソースを取得するか指定できます。
      schema:
        type: integer
        minimum: 1
        maximum: 99
        default: 10
    PagerOrderQuery:
      in: query
      name: order
      description: >-
        リソースの順番を指定できます。カンマ区切りで、複数の値を指定できます。複数指定の場合、指定した順にソートされます。 e.g.
        createdAt:desc,updatedAt:asc
      schema:
        type: string
    CategoryIdsQuery:
      in: query
      name: categoryIds
      description: カテゴリーIDを複数指定して取得できます。
      schema:
        type: array
        minItems: 1
        items:
          type: string
    XR25AcApiKeyHeader:
      description: コンソールで取得したAPIキーを指定してください。
      in: header
      name: x-r25-ac-api-key
      required: true
      schema:
        type: string
    XR25AcApiSecretHeader:
      description: コンソールで取得したAPIシークレットを指定してください。
      in: header
      name: x-r25-ac-api-secret
      required: true
      schema:
        type: string
  schemas:
    CategoryListResponse:
      allOf:
        - $ref: '#/components/schemas/Pager'
        - type: object
          properties:
            list:
              type: array
              items:
                $ref: '#/components/schemas/Category'
      required:
        - list
    Pager:
      type: object
      properties:
        totalCount:
          example: 999999
          type: integer
        currentPage:
          example: 1
          type: integer
      required:
        - currentPage
        - totalCount
    Category:
      type: object
      properties:
        categoryId:
          type: string
          description: カテゴリーのID
        name:
          type: string
          description: カテゴリー名
        alias:
          type: string
          description: カテゴリーを一意に識別する文字列
        projectId:
          type: string
          description: プロジェクトのID
        spaceId:
          type: string
          description: スペースのID
        createdAt:
          type: integer
          description: カテゴリーの作成日時
        updatedAt:
          type: integer
          description: カテゴリーの更新日時
      required:
        - categoryId
        - name
        - projectId
        - spaceId
        - createdAt
        - updatedAt

````